Subject: Re: Which legume cover crop?

From: Loren Muldowney <[email-masked]>
Date: Tue, 17 Aug 1999 07:30:03 -0700

Steve Groff wrote:
> 
> Sanet,
> I want to plant a legume cover in some of my small grain fields, that
> were harvested this summer, in preparation for no till planting sweet
> corn in the spring. I already planted a soybean/spring oats mix for the
> same purpose. I was thinking that field peas might be a better cover due
> to more N contribution. I'll plant vetch later. Any other ideas or
> suggestions?

Steve,  We have the "Soil Builder" mix of 4 legumes (Bell Beans, Magnus
Peas, Lana Woolypod Vetch, Purple Vetch) along with Cayuse Oats "to
stabilize the soil, and to nurse and scaffold the vetches."  This is in
NJ, I think you are in a similar climatic zone.  We got the blend from
Peaceful Valley Farm Supply.

To Unsubscribe:  Email [email-masked] with the command
"unsubscribe sanet-mg".  If you receive the digest format, use the command
"unsubscribe sanet-mg-digest".
To Subscribe to Digest: Email [email-masked] with the command
"subscribe sanet-mg-digest".

All messages to sanet-mg are archived at:
http://www.sare.org/san/htdocs/hypermail